Album: PENUMBRA PHANTASM (Cover)
Directory: penumbra-phantasm-cover-ash-taylor
Artists:
- Ash Taylor
Date: August 11, 2024
Date Added: January 29, 2025
URLs:
- https://estrobiologist.bandcamp.com/track/penumbra-phantasm-cover
- https://www.youtube.com/watch?v=yUJg3-6Pbf8
Cover Artists:
- Ash Taylor
Color: '#3985ff'
Groups:
- Fandom
Art Tags:
- LoWaS
Wallpaper Artists:
- Ash Taylor
Cover Art File Extension: png
Wallpaper File Extension: png
Wallpaper Style: |-
    opacity: 0.8;
    background-repeat: no-repeat;
    background-size: 1400px;
Commentary: |-
    <i>Ash Taylor:</i> ([Bandcamp about blurb](https://estrobiologist.bandcamp.com/track/penumbra-phantasm-cover))

    ＡＴ ＂ＳＨＡＤＯＷ＇Ｓ ＥＤＧＥ，＂<br>
    ＳＨＡＴＴＥＲ ＴＨＥ ＴＷＩＬＩＧＨＴ ＲＥＶＥＲＩＥ｡

    <i>Ash Taylor:</i> ([YouTube description](https://www.youtube.com/watch?v=yUJg3-6Pbf8), excerpt)

    [[Penumbra Phantasm|penumbra phantasm]] is my favorite homestuck song that doesn't exist outside [[artist:toby-fox|toby fox's]] hard drive
---
Track: PENUMBRA PHANTASM (Cover)
Directory: penumbra-phantasm-cover-ash-taylor
Additional Names:
- Name: >-
    PENUMBRA PHANTASM (Metal Cover)
  Annotation: >-
    [YouTube](https://www.youtube.com/watch?v=yUJg3-6Pbf8)
Duration: 3:12
URLs:
- https://estrobiologist.bandcamp.com/track/penumbra-phantasm-cover
- https://www.youtube.com/watch?v=yUJg3-6Pbf8
Referenced Tracks:
- Penumbra Phantasm
